Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4307 - jar and javakey programs are not working. (intel and sparc tested)
Summary: jar and javakey programs are not working. (intel and sparc tested)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kaffe
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-02 06:36 UTC by ipaul
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-18 21:24:10 UTC


Attachments (Terms of Use)

Description ipaul 1999-08-02 06:36:49 UTC
I wanted to make a signed jar, and I discovered that both
jar and javakey are not working.
Here is the output of the jar and javakey:


[root@paul /tmp]# jar
java.lang.NoClassDefFoundError: sun/tools/jar/Main
        at java.lang.Throwable.<init>(Throwable.java:40)
        at java.lang.Error.<init>(Error.java:21)
        at
java.lang.LinkageError.<init>(LinkageError.java:21)
        at
java.lang.NoClassDefFoundError.<init>(NoClassDefFoundError.java:21)
[root@paul /tmp]# javakey -dl
java.lang.NoClassDefFoundError: sun/security/provider/Main
        at java.lang.Throwable.<init>(Throwable.java:40)
        at java.lang.Error.<init>(Error.java:21)
        at
java.lang.LinkageError.<init>(LinkageError.java:21)
        at
java.lang.NoClassDefFoundError.<init>(NoClassDefFoundError.java:21)
[root@paul /tmp]# javakey
java.lang.NoClassDefFoundError: sun/security/provider/Main
        at java.lang.Throwable.<init>(Throwable.java:40)
        at java.lang.Error.<init>(Error.java:21)
        at
java.lang.LinkageError.<init>(LinkageError.java:21)
        at
java.lang.NoClassDefFoundError.<init>(NoClassDefFoundError.java:21)

Comment 1 Bill Nottingham 1999-08-18 21:24:59 UTC
Again, this will probably not be fixed in Red Hat until it
is fixed in Kaffe proper.


Note You need to log in before you can comment on or make changes to this bug.